Package org.codehaus.janino.util.signature

# Class SignatureParser.MethodTypeSignature

java.lang.Object
org.codehaus.janino.util.signature.SignatureParser.MethodTypeSignature

Enclosing class:
  `SignatureParser`

public static class SignatureParser.MethodTypeSignature extends Object
Representation of the "MethodTypeSignature" clause.

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<SignatureParser.FormalTypeParameter>`
`formalTypeParameters`
The formal types of the method, e.g.
`final List<SignatureParser.TypeSignature>`
`parameterTypes`
The types of the method's parameters.
`final SignatureParser.TypeSignature`
`returnType`
The return type of the method.
`final List<SignatureParser.ThrowsSignature>`
`thrownTypes`
The exceptions declared for the method.

## Constructor Summary

Constructors
Constructor
Description
`MethodTypeSignature(List<SignatureParser.FormalTypeParameter> formalTypeParameters, List<SignatureParser.TypeSignature> parameterTypes, SignatureParser.TypeSignature returnType, List<SignatureParser.ThrowsSignature> thrownTypes)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`String`
`toString(String declaringClassName, String methodName)`
Combines the name of the declaring class, the name of the method and this method type signature into a nice, human-readable string like '`<T> MyClass.meth(List<T> l, int i) => double`'.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### formalTypeParameters

public final List<SignatureParser.FormalTypeParameter> formalTypeParameters
The formal types of the method, e.g. '`void <T, U> int meth(T t, U u) ...`'.

### parameterTypes

public final List<SignatureParser.TypeSignature> parameterTypes
The types of the method's parameters.

### returnType

public final SignatureParser.TypeSignature returnType
The return type of the method.

### thrownTypes

public final List<SignatureParser.ThrowsSignature> thrownTypes
The exceptions declared for the method.

## Constructor Details

### MethodTypeSignature

public MethodTypeSignature(List<SignatureParser.FormalTypeParameter> formalTypeParameters, List<SignatureParser.TypeSignature> parameterTypes, SignatureParser.TypeSignature returnType, List<SignatureParser.ThrowsSignature> thrownTypes)

## Method Details

### toString

public String toString(String declaringClassName, String methodName)
Combines the name of the declaring class, the name of the method and this method type signature into a nice, human-readable string like '`<T> MyClass.meth(List<T> l, int i) => double`'.

### toString

public String toString()

Overrides:
  `toString` in class `Object`